% [W,x,y,e,Px,w]=asptbfdaf(M,x,xn,dn,W,mu,n,c,b,Px)
%
%    Performs filtering and coefficient update using the 
%    Block Frequency Domain Adaptive algorithm.
% 	
% Input Parameters [Size]:: 
%    M  : filter length [1 x 1]
%    x  : previous overlap-save input vector [B x 1]
%    xn : new input block [L x 1]
%    dn : new desired block [L x 1]
%    W  : F-domain filter coef. vector [B x 1]
%    mu : adaptation constant (step size) [1 x 1]
%    n  : if not 0, normalization is performed
%    c  : if not 0, constrains filter to length M 
%    b  : forgetting factor for estimation of Px
%    Px : previous estimate of the power of x [B x 1]
%
% Output parameters::
%    W  : updated F-domain filter coefficients 
%    x  : updated overlap save input vector
%    y  : filter output at block n (t-domain)
%    e  : error vector (t-domain)
%    Px : updated estimate of the power of X
%
% SEE ALSO INIT_BFDAF, ECHO_BFDAF

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

