% [w,x,y,e,p]=asptbnlms(x,xn,dn,w,mu,p,b)
%
%    Performs filtering and coefficient update using the 
%    Block Normalized Least Mean Squares (BNLMS) algorithm. 
%    BNLMS updates the N filter coefficients once every block 
%    of L samples.
% 	
%    Input Parameters [Size]:: 
%      x  : previous input delay line [N x 1]
%      xn : new block of input samples [L x 1]
%      dn : new block of desired samples [L x 1]
%      w  : vector of filter coefficients [N x 1]
%      mu : adaptation constant (step size) [1 x 1]
%      p  : previous estimate of the input power [1 x 1]
%      b  : pole of the IIR filter used to estimate the input signal power
%
%    Output parameters::
%      w  : updated filter coefficients 
%      x  : updated delay line of input signal
%      y  : block of filter output samples 
%      e  : block of error samples 
%      p  : updated estimate of the input signal power.
%
% SEE ALSO INIT_BNLMS, ASPTBLMS, ASPTBFDAF, ASPTNLMS.

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

