% [w,y,e,p]= asptdrnlms(x,w,d,mu,p,b,k)
%
%    Performs filtering and coefficient update using the 
%    Data Reusing Normalized Least Mean Squares (DRNLMS) 
%    algorithm. DRLMS updates the filter coefficients k 
%    times each iteration using the same set of data to 
%    speed the convergence process.
% 	
% Input Parameters [Size]:: 
%    x   : input samples delay line [L x 1]
%    w   : filter coefficients vector w(n-1) [L x 1]
%    d   : desired output d(n) [1 x 1]
%    mu  : adaptation constant
%    p   : last estimated power of x p(n-1) 
%    b   : AR pole for recursive calculation of p
%    k   : number of data reusing cycles
% Output parameters::
%    w   : updated filter coefficients w(n)
%    y   : filter output y(n)
%    e   : error signal; e(n) = d(n)-y(n)
%    p   : new estimated power of x p(n)
%
% SEE ALSO INIT_DRNLMS, ASPTNLMS, ASPTDRLMS, ASPTRDRNLMS.

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

