% [k,b,P,e,y,c] = asptlbpef(k,b,P,x,mu_p)
%
%    Implements an adaptive Lattice Backward Prediction 
%    Error Filter with filter input x(n) and output 
%    e(n). LBPEF also returns the coefficients of the 
%    equivalent transversal PEF in the variable c.
% 	
% Input Parameters:: 
%    k   : vector of lattice predictor coefficients
%    b   : vector of backward prediction error
%    P   : vector of last estimated power of b
%    x   : input delay line
%    mu_p: adaptation constant for the predictor coefficient
%
% Output parameters::
%    k   : updated lattice predictor coefficients
%    b   : updated backward prediction error vector
%    P   : updated power estimate of b
%    c   : Equivalent transversal predictor coefficients. 
%    e   : backward predictor error
%    y   : predictor output
%
% SEE ALSO INIT_LBPEF, PREDICT_LBPEF

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

