% [w,y,e]= asptlclms(x,w,d,mu,c,a)
%
%    Performs filtering and coefficient update using the 
%    Linearly Constrained LMS adaptive algorithm, 
%    subject to the constraint c' * w = a.
% 	
% Input Parameters:: 
%    x   : vector of input samples at time n
%    w   : vector of filter coefficients w(n-1)
%    d   : desired response d(n)
%    mu  : adaptation constant
%    c   : the weighting vector in the constraint equation
%    a   : a scalar constant
% Output parameters::
%    w   : updated filter coefficients w(n)
%    y   : filter output y(n)
%    e   : error signal; e(n)=d(n)-y(n)
%
% SEE ALSO INIT_CLLMS, MODEL_CLLMS

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

