% [k,b,P,e,y,c]=asptlfpef(k,b,P,x,mu_p)
%
%    Implements an adaptive LMS Lattice Forward Prediction 
%    Error Filter with filter input x(n) and output 
%    e(n). LFPEF also returns the coefficients of the 
%    equivalent transversal PEF in the variable c.
% 	
% Input Parameters:: 
%    k   : vector of lattice predictor coefficients
%    b   : vector of backward prediction error
%    P   : vector of last estimated power of b
%    x   : new input sample
%    mu_p: adaptation constant for the predictor coefficient
%
% Output parameters::
%    k   : updated lattice predictor coefficients
%    b   : updated backward prediction error vector
%    P   : updated power estimate of b
%    e   : forward prediction error
%    y   : predictor output
%    c   : Equivalent transversal predictor coefficients.
%
% SEE ALSO INIT_LFPEF, PREDICT_LFPEF

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

