% [k,c,b,P,y,e] = asptlmslattice(k,c,b,P,x,d,mu_p,mu_c,upk)
%
%    Performs filtering and coefficient update for the 
%    LMS Lattice (joint process estimator) adaptive filter.
% 	
% Input Parameters:: 
%    k   : vector of lattice predictor coefficients (PARCOR)
%    c   : vector of linear combiner coefficients
%    b   : vector of backward prediction error
%    P   : vector of last estimated power of b
%    x   : new input sample
%    d   : new desired sample
%    mu_p: adaptation constant for the predictor coefficients
%    mu_c: adaptation constant for the linear combiner coeff.
%    upk : flag if 0 will not update k
%
% Output parameters::
%    k   : updated lattice predictor coefficients
%    c   : updated linear combiner coefficients
%    b   : updated backward prediction error
%    P   : updated power estimate of b
%    y   : linear combiner output
%    e   : error signal [e = d - y]
%
% SEE ALSO INIT_LMSLATTICE, MODEL_LMSLATTICE

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

