% [w,y,e,p]= asptnlms(x,w,d,mu,p,b)
%
%    Performs filtering and coefficient update using the 
%    Normalized Least Mean Squares Adaptive algorithm.
% 	
% Input Parameters [Size]:: 
%    x   : input samples delay line [L x 1]
%    w   : filter coefficients vector w(n-1) [L x 1]
%    d   : desired output d(n) [1 x 1]
%    mu  : adaptation constant
%    p   : last estimated power of x p(n-1) 
%    b   : AR pole for recursive calculation of p
% Output parameters::
%    w   : updated filter coefficients w(n)
%    y   : filter output y(n)
%    e   : error signal; e(n) = d(n)-y(n)
%    p   : new estimated power of x p(n)
%
% SEE ALSO INIT_NLMS, MODEL_NLMS, ASPTLMS

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

