% [W,X,x,y,e,Px,w]=asptpbfdaf(M,x,xn,dn,X,W,mu,n,c,b,Px)
%
%    Performs filtering and coefficient update using the 
%    Partitioned Block Frequency Domain Adaptive algorithm.
% 	
% Input Parameters [Size]:: 
%    M  : partition length
%    x  : previous overlap-save vector [B x 1]
%    xn : new input block [L x 1]
%    dn : new desired block [L x 1]
%    X  : previous matrix of F-domain input samples [B x P]
%    W  : previous matrix of F-domain filter coef. [B x P]
%    mu : adaptation constant
%    n  : normalization flag, 0 means no normalization
%    c  : 0         == no constraint, 
%         otherwise == all partitions are constrained.
%    b  : forgetting factor for input power estimation
%    Px : previous estimate of the power of X [B x 1]
%
% Output parameters::
%    W  : updated filter coefficients (F-domain)
%    X  : updated matrix of past frequency input samples 
%    x  : updated overlap-save input vector 
%    y  : filter output block
%    e  : error vector block
%    Px : updated estimate of the power of X
%    w  : time domain filter (calculated only if required)
%
% SEE ALSO INIT_PBFDAF, ECHO_PBFDAF

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

