% [W,X,x,y,e,Px,ci,w]=asptrcpbfdaf(M,x,xn,dn,X,W,mu,n,c,b,Px,ci)
%
%    Performs filtering and coefficient update using the 
%    Reduced Complexity Partitioned Block Frequency Domain 
%    Adaptive Filter (RCPBFDAF) algorithm.
% 
% Input Parameters [Size]:: 
%    M  : partition length
%    x  : previous overlap-save vector [B x 1]
%    xn : new input block [L x 1]
%    dn : new desired block [L x 1]
%    X  : previous matrix of F-domain input samples [B x P]
%    W  : previous matrix of F-domain filter coef. [B x P]
%    mu : adaptation constant
%    n  : normalization flag, 0 means no normalization
%    c  : if 0, unconstrained PBFDAF is used, 
%         if -r (r +ve int), all partitions are constrained
%         if +r (r +ve int), only r partitions are constrained
%    b  : forgetting factor for input power estimation
%    Px : previous estimate of the power of X [B x 1]
%    ci : next partition to constrain 
%
% Output parameters::
%    W  : updated filter coefficients (F-domain)
%    X  : updated matrix of past frequency input samples 
%    x  : updated overlap-save input vector 
%    y  : filter output block
%    e  : error vector block
%    Px : updated estimate of the power of X
%    ci : next partition to constrain 
%    w  : time domain filter (calculated only if required)
%
% SEE ALSO INIT_RCPBFDAF, ECHO_RCPBFDAF, ASPTBFDAF, ASPTPBFDAF

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

