% [w,y,e]= asptrdrlms(x,w,d,mu,alg)	
%
%    Performs filtering and coefficient update using the 
%    Recent Data Reusing Least Mean Squares (RDRLMS) 
%    algorithm.
%    RDRLMS updates the filter coefficients k times each  
%    iteration using the last k input and desired data sets 
%    to speed the convergence process. 
% 	
% Input Parameters :: 
%    x   : vector of input samples x(n)
%    w   : vector of filter coefficients w(n-1)
%    d   : desired output d(n) 
%    mu  : adaptation constant
%    alg : specifies the variety of the lms to use in the 
%          update equation. Must be one of the following: 
%          'lms'     [default] 
%          'slms'  - sign LMS, uses sign(e)
%          'srlms' - signed regressor LMS, uses sign(x)
%          'sslms' - sign-sign LMS, uses sign(e) and sign(x)
% Output parameters ::
%    w   : updated filter coefficients w(n)
%    y   : filter output y(n)
%    e   : error signal; e(n) = d(n) - y(n)
%
% SEE ALSO INIT_RDRLMS, ASPTLMS, ASPTDRLMS, ASPTRDRNLMS.

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

