% [w,y,e,p]= asptrdrnlms(x,w,d,mu,p,b,k)
%
%    Performs filtering and coefficient update using the 
%    Recent Data Reusing Normalized Least Mean Squares 
%    (RDRNLMS) algorithm.
%    RDRNLMS updates the filter coefficients k times each  
%    iteration using the last k input and desired data sets 
%    to speed the convergence process. 
% 	
% Input Parameters :: 
%    x   : input samples delay line 
%    w   : filter coefficients vector w(n-1) 
%    d   : desired output d(n) 
%    mu  : adaptation constant
%    p   : last estimated power of x, p(n-1) 
%    b   : AR pole for recursive calculation of p
%    k   : number of data reusing cycles
% Output parameters::
%    w   : updated filter coefficients w(n)
%    y   : filter output y(n)
%    e   : error signal; e(n) = d(n)-y(n)
%    p   : new estimated power of x, p(n)
%
% SEE ALSO INIT_RDRNLMS, ASPTNLMS, ASPTDRNLMS, ASPTRDRLMS.

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

