% [w,y,e,R]=asptrls(x,w,d,R,a)
%
%    Performs filtering and coefficient update using the 
%    Recursive Least Squares (RLS) Adaptive algorithm.
% 	
% Input Parameters [Size]:: 
%    x   : vector of input samples at time n, [L x 1]
%    w   : vector of filter coefficients w(n-1), [L x 1]
%    d   : desired response d(n), [1 x 1]
%    R   : last estimate of the inverse of the weighted 
%          auto correlation matrix of x, [L x L]
%    a   : forgetting factor, [1 x 1]
%
% Output parameters::
%    w   : updated filter coefficients w(n)
%    y   : filter output y(n)
%    e   : error signal, e(n)=d(n)-y(n)
%    R   : updated R
%
% SEE ALSO INIT_RLS, MODEL_RLS

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

