% [ff,bb,fb,cf,b,y,e,kf,kb,c]=asptrlslfpef(ff,bb,fb,cf,b,a,x)
%
%    Implements an adaptive RLS Lattice Forward Prediction 
%    Error Filter with filter input x(n) and output e(n).
% 
% Input Parameters:: 
%    ff  : last autocorrelation of forward prediction error (f)
%    bb  : last autocorrelation of backward prediction error (b)
%    fb  : last cross-correlation of f and b 
%    b   : last backward prediction error vector
%    a   : forgetting factor
%    x   : newest input sample x(n)
%
% Output parameters::
%    ff  : updated autocorrelation of forward prediction error 
%    bb  : updated autocorrelation of backward prediction error 
%    fb  : updated cross-correlation of f and b 
%    b   : updated backward prediction error vector
%    y   : linear combiner output 
%    e   : forward prediction error 
%    kf  : updated forward lattice coefficients kf(n)
%    kb  : updated backward lattice coefficients kb(n)
%    c   : equivalent transversal forward predictor coefficients.
%
% SEE ALSO INI_RLSLP, PREDICT_RLSLP, ASPTRLSLATTICE, ASPTLMSLATTICE

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

