% [w,y,e,xb]= asptsovlms(xn,xb,w,d,mu,L1,L2,alg)	
%
%   Sample per sample filtering and coefficient update using the 
%   Second Order Volterra Least Mean Squares or one of its variants. 
%   The LMS variants currently supported are the sign, sign-sign, 
%   and signed regressor algorithms.
% 	
%   Input Parameters [size] :: 
%     xn  : new input sample [1 x 1]
%     xb  : buffer of input samples [L1 + sum(1:L2) x 1]
%     w   : vector of filter coefficients w(n-1) [L1 + sum(1:L2) x 1]
%     d   : desired output d(n) [1 x 1]
%     mu  : adaptation constant [2 x 1]
%     L1  : memory length of linear part of w
%     L2  : memory length of non-linear part of w
%     alg : specifies the variety of the lms to use in the 
%           update equation. Must be one of the following: 
%           'lms'     [default] 
%           'slms'  - sign LMS, uses sign(e)
%           'srlms' - signed regressor LMS, uses sign(x)
%           'sslms' - sign-sign LMS, uses sign(e) and sign(x)
%   Output parameters ::
%     w   : updated filter coefficients w(n)
%     y   : filter output y(n)
%     e   : error signal; e(n) = d(n) - y(n)
%     xb  : updated vector of input samples
%
% SEE ALSO INIT_SOVLMS, ASPTSOVNLMS, ASPTLMS.

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

