% [w,y,e,xb,p]= asptsovnlms(xn,xb,w,d,mu,L1,L2,p,b)	
%
%    Performs filtering and coefficient update using the 
%    Second Order Volterra Normalized Least Mean Squares 
%    Adaptive Filter algorithm.
% 	
% Input Parameters [size] :: 
%    xn  : new input sample [1 x 1]
%    xb  : buffer of input samples [L1 + sum(1:L2) x 1]
%    w   : vector of filter coefficients w(n-1) [L1 + sum(1:L2) x 1]
%    d   : desired output d(n) [1 x 1]
%    mu  : adaptation constant [2 x 1]
%    L1  : memory length of linear part of w
%    L2  : memory length of non-linear part of w
%    p   : input signal power [2 x 1]
%    b   : low pass filter pole used to estimate p.
%
% Output parameters ::
%    w   : updated filter coefficients w(n)
%    y   : filter output y(n)
%    e   : error signal; e(n) = d(n) - y(n)
%    xb  : updated vector of input samples
%    p   : updated input signal power.
%
% SEE ALSO INIT_SOVNLMS, ASPTSOVLMS, ASPTNLMS.

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

