% [w,y,e,R,xb]=asptsovrls(xn,xb,w,d,R,a,L1,L2)
%
%    Performs filtering and coefficient update using the 
%    Second Order Volterra Recursive Least Squares (RLS)
%    adaptive algorithm.
% 	
% Input Parameters [Size]:: 
%    xn  : new input sample
%    xb  : buffer of input samples [L1 + sum(1:L2) x 1]
%    w   : vector of filter coefficients w(n-1), [L x 1]
%    d   : desired response d(n), [1 x 1]
%    R   : last estimate of the inverse of the weighted 
%          auto correlation matrix of x, [L x L]
%    a   : forgetting factor, [1 x 1]
%    L1  : memory length of linear part of w
%    L2  : memory length of non-linear part of w
%
% Output parameters::
%    w   : updated filter coefficients w(n)
%    y   : filter output y(n)
%    e   : error signal, e(n)=d(n)-y(n)
%    R   : updated R
%    xb  : updated buffer of input samples
%
% SEE ALSO INIT_SOVRLS, ASPTRLS.

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

