% [w,y,e,R,a]=asptvffrls(x,w,d,R,a,k,e,roh,a_min,a_max)
%
%    Performs filtering and coefficient update using the 
%    Variable Forgetting Factor Recursive Least Squares 
%    (VFFRLS) Adaptive algorithm.
% 	
% Input Parameters [Size]:: 
%    x     : vector of input samples at time n, [L x 1]
%    w     : vector of filter coefficients w(n-1), [L x 1]
%    d     : desired response d(n), [1 x 1]
%    R     : last estimate of the inverse of the weighted 
%            auto correlation matrix of x, [L x L]
%    a     : forgetting factor, [1 x 1]
%    k     : last gain vector
%    e     : last error sample
%    roh   : forgetting factor step size [1 x 1]
%    a_min : lower bound for the forgetting factor [1 x 1]
%    a_max : higher bound for forgetting factor  [1 x 1]
%
% Output parameters::
%    w   : updated filter coefficients w(n)
%    y   : filter output y(n)
%    e   : error signal, e(n)=d(n)-y(n)
%    R   : updated R
%
% SEE ALSO INIT_VFFRLS, TESTVFFRLS

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

