% [w,g,mu,y,e]= asptvsslms(x,w,g,d,mu,roh,ssa,mu_min,mu_max)	
%
%    Performs filtering and coefficient update using the 
%    Variable Step Size LMS Adaptive algorithm.
% 	
% Input Parameters [Size] :: 
%    x      : input samples delay line [L x 1]
%    d      : desired response [1 x 1]
%    w      : filter coef. vector w(n-1) [L x 1]
%    g      : gradient vector g(n-1) [L x 1] (used to update mu)
%    mu     : vector of step sizes mu(n-1) [L x 1]
%    roh    : gradient vector step size [1 x 1]
%    ssa    : if 1, the sign-sign algorithm is used to update mu.
%    mu_min : lower bound for mu [1 x 1]
%    mu_max : higher bound for mu [1 x 1]
%
% Output parameters::
%    w      : updated filter coefficients w(n)
%    y      : filter output y(n)
%    g      : updated gradient vector g(n)
%    mu     : updated vector of step sizes mu(n)
%    e      : error sample, e(n)=d(n)-y(n)
%
% SEE ALSO INIT_VSSLMS, MODEL_VSSLMS, ASPTLMS, ASPTNLMS

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

