% [W,x,d,e,y,Px,w]=init_bfdaf(L,M,W0,x0,d0)
%
%   Creates and initializes the variables required for the Block 
%   Frequency Domain Adaptive Filter (BFDAF) algorithm. The FFT
%   legth B is internally calculated using the equation
%   B= 2 ^ nextpow2(L+M-1)
% 	
% Input Parameters [Size]:: 
%   L  : new samples per block (block length)
%   M  : filter length
%   W0 : initial F-domain filter coef. vector [B x 1]
%   x0 : initial overlap-save input vector [B x 1]
%   d0 : initial desired response vector [L x 1]
%
% Output parameters [default]::
%   W  : initialized F-domain filter coef. vector [zeros]
%   x  : initialized input vector [zeros]
%   d  : initialized desired response vector [white noise]
%   e  : initialized error vector 
%   y  : initialized filter output 
%   Px : initialized estimate of the power of x
%   w  : initialized T-domain coefficients (optional)
%
% SEE ALSO ASPTBFDAF, ECHO_BFDAF

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

