% [w,x,d,e,y]=init_blms(N,L,w0,x0,d0)
%
%   Creates and initializes the variables required for the Block 
%   Least Mean Squares adaptive filter. 
% 	
% Input Parameters [Size]:: 
%   N  : filter length
%   L  : new samples per block (block length)
%   w0 : initial filter coef. vector [N x 1]
%   x0 : initial input delay line [N x 1]
%   d0 : initial desired response vector [L x 1]
%
% Output parameters [default]::
%   w  : initialized filter coef. vector [zeros]
%   x  : initialized input delay line [zeros]
%   d  : initialized desired response vector [white noise]
%   e  : initialized error vector 
%   y  : initialized filter output vector
%
% SEE ALSO ASPTBLMS

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

