%  [s,t,u,y,a,b,p]=init_csoiir2(M,s0,t0,u0,y0,a0,b0,p0)
% 
%     Creates and initializes the variables for the 
%     Cascaded Second Order IIR type-2 adaptive filter.
%     The transfer function of each section is given by
%
%
%                 (1-s)( cos(t) - z^(-1) )
%     H(z) = ------------------------------------
%             1 - (1+s) cos(t) z^(-1) + s z^(-2)
%
% Input arguments [Size]:
%    M     : number of sections
%    s0,t0 : filter parameters [1xM each]
%    u0    : last 3 input samples [3xM]
%    y0    : last 3 output samples [3xM]
%    a0    : last 3 w-gradients [3xM]
%    b0    : last 3 s-gradients [3xM]
%    p0    : input power estimate [1xM]
%
% Output Parameters [default]:
%    s,t   : initialized adaptive parameters [zeros]
%    u     : initialized input buffer [zeros]
%    y     : initialized output buffer [zeros]
%    a     : initialized w-gradient buffer [zeros]
%    b     : initialized s-gradient buffer [zeros]
%    p     : initialized power [zeros]
%
% SEE ALSO ASPTSOIIR2, ALE_SOIIR2

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

