% [w,x,d,y,e]=init_lclms(L,w0,x0,d0)
%
%     Creates and initializes the variables required for the 
%     Linearly Constrained LMS algorithm. 
% 	
% Input Parameters:: 
%     L  : Adaptive filter length
%     w0 : Optional initial vector of filter coefficients
%     x0 : Optional initial vector of input samples
%     d0 : Optional initial desired sample
%
% Output parameters [default]::
%     w  : Initialized filter coefficients [zeros]
%     x  : Initialized input vector [zeros]
%     d  : Initialized desired sample [white noise]
%     y  : filter output
%     e  : Initialized error sample
%
% SEE ALSO ASPTCLLMS, MODEL_CLLMS

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

