% [k,b,P,e,y,c]=init_lfpef(L,k0,b0,P0)
%     Creates and initializes the variables required for the 
%     Lattice Forward Prediction Error Filter.  
% 	
% Input Parameters [Size]:: 
%     L   : number of filter coefficients
%     k0  : initial lattice predictor coefficients [L x 1]
%     b0  : initial backward prediction errors [(L+1)x1]
%     P0  : initial power of b [(L+1)x1]
%
% Output parameters::
%     k   : lattice predictor coefficients [zeros]
%     b   : backward prediction errors [random]
%     P   : estimated power of b [b .* b]
%     e  : forward prediction error [random]
%     y   : predictor output [0]
%     c   : equivalent transversal predictor coefficients.
%
% SEE ALSO ASPTLFPEF, PREDICT_LFPEF

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

