%  [w,x,d,y,e]=init_lms(L,w0,x0,d0)
%
%     Creates and initializes the variables required for the 
%     Least Mean Squares adaptive algorithm.
% 	
%   Input Parameters [Size] :: 
%     L   : number of filter coefficients
%     w0  : initial coefficient vector [L x 1] 
%     x0  : initial input samples vector [L x 1] 
%     d0  : initial desired sample [1 x 1] 
%   Output parameters [default] ::
%     w   : initialized filter coefficients [zeros]
%     x   : initialized input vector [zeros]
%     d   : initialized desired sample [white noise]
%     y   : Initialized filter output 
%     e   : initialized error sample [e = d - y]
%
% SEE ALSO ASPTLMS, MODEL_LMS

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

