% [k,c,b,P,d,y,e] = init_lmslattice(L,k0,c0,b0,P0,d0);
%
%    Creates and initializes the variables required for the 
%    LMS Lattice (Joint Process Estimator) Adaptive Filter.
% 
% Input Parameters [Size]:: 
%    L   : number of linear combiner coefficients
%    k0  : initial lattice predictor coefficients [Lx1]
%    c0  : initial linear combiner coefficients [Lx1]
%    b0  : initial backward prediction errors [Lx1]
%    P0  : initial power of b [Lx1]
%    d0  : initial desired sample [1x1]
%
% Output parameters [default]::
%    k   : lattice predictor coefficients [zeros]
%    c   : linear combiner coefficients [zeros]
%    b   : backward prediction errors [white noise]
%    P   : estimated power of b [b .* b]
%    d   : desired response [white noise]
%    y   : linear combiner output [c' * b]
%    e   : error signal [e = d - y]
%
% SEE ALSO ASPTLMSLATTICE, MODEL_LMSLATTICE

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

