% [w,x,d,y,e,g,mu] = init_mvsslms(L,w0,x0,d0,mu0,g0)
%     Creates and initializes the variables required for the 
%     Variable Step Size LMS algorithm. 
% 	
% Input Parameters:: 
%   L    : adaptive filter length
%   w0   : initial vector of filter coefficients [Lx1]
%   x0   : initial input samples delay line [Lx1]
%   d0   : initial desired sample [1x1]
%   mu0  : initial step-size [1x1]
%   g0   : initial gradient [1x1]
%
% Output parameters [default]::
%    w   : initialized filter coefficients [zeros]
%    x   : initialized input delay line [zeros]
%    d   : initialized desired sample [white noise]
%    y   : Initialized filter output
%    e   : initialized error sample [e = d - y]
%    g   : initialized gradient vector [zero]
%    mu  : initialized step-size vector [zero]
%
% SEE ALSO ASPTVSSLMS, MODEL_VSSLMS, ASPTLMS, ASPTNLMS

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

