% [w,x,d,y,e,p]=init_rdrnlms(L,k,w0,x0,d0)
%
%    Creates and initializes the variables required for the 
%    Recent Data Reusing Normalized Least Mean Squares algorithm.
% 	
% Input Parameters [Size]:: 
%    L   : number of filter coefficients
%    k   : number of data reusing cycles.
%    w0  : initial coefficient vector [L x 1] 
%    x0  : initial input samples vector [L+k x 1] 
%    d0  : initial desired sample [k+1 x 1] 
% Output parameters [default]::
%    w   : initialized filter coefficients [zeros]
%    x   : initialized input vector [white noise]
%    d   : initialized desired sample [white noise]
%    y   : Initialized filter output
%    e   : initialized error vector [d - y]
%    p   : initialized power estimate
%
% SEE ALSO ASPTRDRNLMS.

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

