% [w,x,d,e,R,y]=init_rls(L,b,w0,x0,d0)
%
%     Creates and initializes the variables required for the 
%     Recursive Least Squares (RLS) Adaptive Filter.
% 	
% Input Parameters:: 
%     L  : Adaptive filter length
%     b  : a small +ve constant to initialize R 
%     w0 : initial coefficient vector  
%     x0 : initial input samples vector 
%     d0 : initial desired sample
% Output parameters [default]::
%     w  : Initialized filter coefficients [zeros]
%     x  : Initialized input vector [zeros]
%     d  : Initialized desired sample [white noise]
%     y  : Initialized filter output [y = w' * x]
%     e  : Initialized error sample [e = d - y]
%     R  : Initialized inverse of the weighted 
%          auto correlation matrix of x, [R=b*eye(L)]
%
% SEE ALSO ASPTRLS, MODEL_RLS

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

