% [ff,bb,fb,be,cf,b,d,y,e,kf,kb,c]=init_rlslattice(L,ff0,bb0,fb0,be0,cf0,b0,d0)
%
%     Creates and initializes the variables required for the 
%     Recursive Least Squares Lattice joint process estimator
%     using the a posteriori estimation errors.
% 	
% Input Parameters [Size]:: 
%   L   : Linear combiner length
%   ff0 : initial autocorrelation vector of forward prediction error [Lx1]
%   bb0 : initial autocorrelation vector of backward prediction error [Lx1]
%   fb0 : initial cross-correlation of f and b [Lx1]
%   be0 : initial cross-correlation of b and e [Lx1]
%   b0  : initial vector of backward prediction error [Lx1]
%   d0  : initial desired response [1x1]
%
% Output parameters [Default]::
%   ff  : autocorrelation vector of forward prediction error [.001*ones(L,1)]
%   bb  : autocorrelation vector of backward prediction error [.001*ones(L,1)]
%   fb  : cross-correlation of f and b [zeros]
%   be  : cross-correlation of b and e [zeros]
%   b   : vector of backward prediction error [zeros]
%   d   : desired output [rand]
%   y   : Linear combiner output [c' * b]
%   e   : Linear combiner error [d-y]
%   kf  : forward lattice coefficients [zeros]
%   kb  : backward lattice coefficients [zeros]
%   c   : linear combiner coefficients [zeros]
%
% SEE ALSO ASPTRLSLATTICE, MODEL_RLSLATTICE, ASPTRLSLATTICE2.
%   

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

