% [ff,bb,cf,b,d,y,e,kf,kb,c]=init_rlslattice2(L,ff0,bb0,kf0,kb0,c0,cf0,b0,d0)
%
%     Creates and initializes the variables required for the 
%     Recursive Least Squares Lattice joint process estimator
%     using the a priori estimation errors with error feedback.
% 	
% Input Parameters [Size]:: 
%   L   : Linear combiner length
%   ff0 : initial autocorrelation vector of forward prediction error [Lx1]
%   bb0 : initial autocorrelation vector of backward prediction error [Lx1]
%   kf0 : initial forward lattice coefficients [Lx1]
%   kb0 : initial backward lattice coefficients [Lx1]
%   c0  : initial linear combiner coefficients [Lx1]
%   b0  : initial vector of backward a priori estimation error [Lx1]
%   d0  : initial desired response [1x1]
%
% Output parameters [Default]::
%   ff  : autocorrelation vector of forward prediction error [.001*ones(L,1)]
%   bb  : autocorrelation vector of backward prediction error [.001*ones(L,1)]
%   b   : vector of a priori backward estimation error [zeros]
%   d   : desired output [rand]
%   y   : Linear combiner output [c' * b]
%   e   : Linear combiner error [d-y]
%   kf  : forward lattice coefficients [zeros]
%   kb  : backward lattice coefficients [zeros]
%   c   : linear combiner coefficients [zeros]
%
% SEE ALSO ASPTRLSLATTICE2, MODEL_RLSLATTICE, ASPTRLSLATTICE.

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

