% [ff,bb,fb,cf,b,y,e,kf,kb] = init_rlslfpef(L,ff0,bb0,fb0,cf0,b0)
%
%     Creates and initializes the variables required for the 
%     Recursive Least Squares Lattice Forward Predictor Error filter. 
% 
% Input Parameters [Size]:: 
%   L   : number of predictor stages 
%   ff0 : initial autocorrelation vector of forward prediction error [Lx1]
%   bb0 : initial autocorrelation vector of backward prediction error [Lx1]
%   fb0 : initial cross-correlation of f and b [Lx1]
%   b0  : initial vector of backward prediction error [L+1 x 1]
%
% Output parameters [Default]::
%   ff  : autocorrelation vector of forward prediction error [.001*ones(L,1)]
%   bb  : autocorrelation vector of backward prediction error [.001*ones(L,1)]
%   fb  : cross-correlation of f and b [zeros]
%   b   : vector of backward prediction error [zeros]
%   y   : Linear combiner output [zero]
%   e   : Linear combiner error [rand]
%   kf  : forward lattice coefficients [zeros]
%   kb  : backward lattice coefficients [zeros]
%
% SEE ALSO ASPTRLSLFPEF, PREDICT_RLSLFPEF
%   

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

