% [s,w,u,y,a,b,e]=init_soiir1(s0,w0,u0,y0,a0,b0,e0)
% 
%     Creates and initializes the variables for the 
%     Second Order IIR type-1 adaptive filter.
%     The filter transfer function is given by
%
%                 (1-s)(w - z^(-1))
%     H(z) = -------------------------------
%             1 - (1+s) w z^(-1) + s z^(-2)
%
% Input arguments [Size]:
%     s0,w0 : filter parameters [1x1 each]
%     u0    : last 3 input samples [3x1]
%     y0    : last 3 output samples [3x1]
%     a0    : last 3 w-gradients [3x1]
%     b0    : last 3 s-gradients [3x1]
%     e0    : last 3 error samples [3x1]
%
% Output Parameters [default]:
%     s,w   : initialized filter parameters [zeros]
%     u     : initialized input buffer [zeros]
%     y     : initialized output buffer [zeros]
%     a     : initialized w-gradient buffer [zeros]
%     b     : initialized s-gradient buffer [zeros]
%     e     : initialized error buffer [zeros]
%
% SEE ALSO ASPTSOIIR1, ALE_SOIIR1

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

