% [s,t,u,y,a,b,e]=init_soiir2(s0,t0,u0,y0,a0,b0,e0)
% 
%     Creates and initializes the variables for the 
%     Second Order IIR type-2 adaptive filter.
%     The filter transfer function is given by
%
%
%                 (1-s)( cos(t) - z^(-1) )
%     H(z) = ------------------------------------
%             1 - (1+s) cos(t) z^(-1) + s z^(-2)
%
% Input arguments [Size]:
%     s0,t0 : filter parameters [1x1 each]
%     u0    : last 3 input samples [3x1]
%     y0    : last 3 output samples [3x1]
%     a0    : last 3 w-gradients [3x1]
%     b0    : last 3 s-gradients [3x1]
%     e0    : last 3 error samples [3x1]
%
% Output Parameters [default]:
%     s,t   : initialized filter parameters [zeros]
%     u     : initialized input buffer [zeros]
%     y     : initialized output buffer [zeros]
%     a     : initialized w-gradient buffer [zeros]
%     b     : initialized s-gradient buffer [zeros]
%     e     : initialized error buffer [zeros]
%
% SEE ALSO ASPTSOIIR2, ALE_SOIIR2

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

