%  [w,x,d,y,e]=init_sovlms(L1,L2,w0,x0,d0)
%
%     Creates and initializes the variables required for the 
%     Second Order Volterra Least Mean Squares adaptive algorithm.
% 	
%   Input Parameters [Size] :: 
%     L1  : memory length of the linear part of the adaptive filter
%     L2  : memory length of the non-linear part of the adaptive filter
%     w0  : initial coefficient vector [L1 + sum(1:L2) x 1] 
%     x0  : initial input samples vector [L1 + sum(1:L2) x 1] 
%     d0  : initial desired sample [1 x 1] 
%   Output parameters [default] ::
%     w   : initialized filter coefficients [zeros]
%     x   : initialized input vector [zeros]
%     d   : initialized desired sample [white noise]
%     y   : Initialized filter output 
%     e   : initialized error sample [e = d - y]
%
% SEE ALSO ASPTSOVLMS.

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

