% [w,x,d,y,e,R]=init_sovrls(L1,L2,b,w0,x0,d0)
%
%     Creates and initializes the variables required for the 
%     Second Order Volterra Recursive Least Squares (RLS)
%     Adaptive Filter.
% 	
% Input Parameters [size]:: 
%   L1 : memory length of the linear part of the adaptive filter
%   L2 : memory length of the non-linear part of the adaptive filter
%   b  : a small +ve constant to initialize R 
%   w0 : initial coefficient vector [L1 + sum(1:L2) x 1] 
%   x0 : initial input samples vector [L1 + sum(1:L2) x 1] 
%   d0 : initial desired sample [1 x 1]
% Output parameters [default]::
%   w  : Initialized filter coefficients [zeros]
%   x  : Initialized input vector [zeros]
%   d  : Initialized desired sample [white noise]
%   y  : Initialized filter output [y = w' * x]
%   e  : Initialized error sample [e = d - y]
%   R  : Initialized inverse of the weighted 
%        auto correlation matrix of x, [R=b*eye(L1 + sum(1:L2))]
%
% SEE ALSO ASPTSOVRLS

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

