% [W,w,x,d,y,e,p]=init_sovtdlms(L1,L2,W0,x0,d0)
%
%     Creates and initializes the variables required for the 
%     Second Order Volterra Transform Domain LMS Adaptive filter.
% 	
% Input Parameters [Size]:: 
%    L1  : memory length of the linear part of the adaptive filter
%    L2  : memory length of the non-linear part of the adaptive filter
%    w0  : initial T-domain coef. vector [L1 + sum(1:L2) x 1] 
%    x0  : initial input samples vector [L1 + sum(1:L2) x 1] 
%    d0  : initial desired sample [1 x 1] 
% Output parameters [default]::
%    W   : initialized T-domain coef. vector [zeros]
%    w   : initialized time-domain coef. vector [zeros]
%    x   : initialized input vector [white noise]
%    d   : initialized desired sample [white noise]
%    y   : Initialized filter output
%    e   : initialized error sample [e = d - y]
%    p   : initialized power estimate
%
% SEE ALSO ASPTSOVTDLMS.

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

