% [W,w,x,d,e,y,p]=init_tdlms(L,W0,x0,d0)
%
%     Creates and initializes the variables required for the 
%     Transform Domain LMS Adaptive algorithm.
% 	
% Input Parameters [Size]:: 
%    L   : number of filter coefficients
%    w0  : initial T-domain coef. vector [L x 1] 
%    x0  : initial input samples vector [L x 1] 
%    d0  : initial desired sample [1 x 1] 
% Output parameters [default]::
%    W   : initialized T-domain coef. vector [zeros]
%    w   : initialized time-domain coef. vector [zeros]
%    x   : initialized input vector [white noise]
%    d   : initialized desired sample [white noise]
%    y   : Initialized filter output
%    e   : initialized error sample [e = d - y]
%    p   : initialized power estimate
%
% SEE ALSO ASPTTDLMS, MODEL_TDLMS

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

