% [w,x,d,y,e,R,k]=init_vffrls(L,b,w0,x0,d0)
%
%    Creates and initializes the variables required for the 
%    Variable Forgetting Factor Recursive Least Squares 
%    (VFFRLS) Adaptive algorithm.
% 	
% Input Parameters:: 
%     L  : adaptive filter length
%     b  : a small +ve constant to initialize R 
%     w0 : initial coefficient vector  
%     x0 : initial input samples vector 
%     d0 : initial desired sample
%
% Output parameters [default]::
%     w  : Initialized filter coefficients [zeros]
%     x  : Initialized input vector [zeros]
%     d  : Initialized desired sample [white noise]
%     y  : Initialized filter output [y = w' * x]
%     e  : Initialized error sample [e = d - y]
%     R  : Initialized inverse of the weighted 
%          auto correlation matrix of x, [R=b*eye(L)]
%     k  : Initialized gain vector.
%
% SEE ALSO ASPTVFFRLS, TESTVFFRLS.

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

