% yn = mcmixr(h,xn,scale)
%    
%    Multichannel mixer from Nspkr to Nmic.
%
%    MCMIXR filters the audio signals xn through the multichannel 
%    transfer function h and returns the resulting signals in yn.
%    if h has dimensions [L x Nspkr x Nmic], then xn must have
%    dimensions of [Lin x Nspkr] or [Lin x 1]. The resulting
%    signal will then have dimensions of [Lin x Nmic].
%    If scale is 1, scaling will be performed.
%
% Input Parameters [Size] :: 
%   h     : multichannel transfer function
%   xn    : actuators' inputs 
%   scale : if 1, scaling of output is performed 
%
% Output parameters [default] ::
%   y     : sensors' output
%

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

