% y = osfilter(h,x,L)
%   Filters the signal x through the filter h 
%   in frequency domain using overlap-save. 
%   If given, L is used as the new samples per 
%   block, otherwise L is calculated internally 
%   for maximum speed.
%
%   x can be either a vector or a matrix. If x is 
%   a vector, then h must also be a vector. If x 
%   is a matrix, then h can either be a vector in 
%   which case each column of x will be filtered 
%   through the same filter h, or a matrix of the 
%   same number of columns as x, in which case each 
%   column of x will be filtered by the corresponding
%   coefficients vector in h. If the filter length is 
%   smaller than the number of columns, pad h with 
%   zeros so that the number of rows is always larger 
%   than the number of columns.
% 

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

