% [E,stop,brk] = update_ipwin(E,e,d,wp,x1,x2,x3,x4,x5)
%
% Updates the iteration progress window. 
%
% Input variable  
%     E  : Learning curve vector
%     e  : new error sample (column vector for block processing)
%     d  : new desired sample (column vector for block processing)
%     wp : plot generated when the plot button is pressed, must be 
%          'm' = plot_model is called to generate a prediction graph 
%          'p' = plot_predict is called to generate a modeling graph 
%          'a' = plot_anvc is called to generate an ANVC graph 
%          'e' = plot_echo is called to generate an echo canceler graph 
%          'b' = plot_beam is called to generate a beam former graph 
%          'l' = plot_ale is called to generate an ALE graph 
%          'i' = plot_invmodel is called to generate an inverse modeling graph 
%     x1-x5: parameters passed to the plot_xxx functions
%
% Output variables
%     E    : updated learning curve vector 
%     stop : control flag [0 = continue, 1 = stop]
%     brk  : flag for breaking out of processing loop
%
% NOTE : UPDATE_IPWIN uses the following global variables
%        stop k_ des_ err_ pltf brk ipw

%       Author : John Garas PhD.
%       Version 2.1, Release October 2002.
%       Copyright (c) DSP ALGORITHMS 2000-2002.

